Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization.transform.shape
Class ViewLensSupport

    java.lang.Object
      edu.uci.ics.jung.visualization.transform.AbstractLensSupport
          edu.uci.ics.jung.visualization.transform.shape.ViewLensSupport

All Implemented Interfaces:
  LensSupport

public class ViewLensSupport
extends AbstractLensSupport
implements LensSupport

Uses a LensTransformer to use in the view transform. This one will distort Vertex shapes.

Author:
  Tom Nelson - RABA Technologies

Nested Class Summary

Nested classes inherited from class edu.uci.ics.jung.visualization.transform.AbstractLensSupport
`AbstractLensSupport.Lens, AbstractLensSupport.LensControls`

Field Summary
`protected PluggableRenderer` | `pluggableRenderer`
`protected Renderer` | `renderer`
`protected TransformingPluggableRenderer` | `transformingPluggableRenderer`

Fields inherited from class edu.uci.ics.jung.visualization.transform.AbstractLensSupport
`defaultToolTipText, graphMouse, instructions, lens, lensControls, lensGraphMouse, lensTransformer, savedViewTransformer, vv`

Constructor Summary
`ViewLensSupport(VisualizationViewer vv)`
`ViewLensSupport(VisualizationViewer vv, LensTransformer lensTransformer, ModalGraphMouse lensGraphMouse)`

Method Summary
`void` | `activate()`
`void` | `deactivate()`

Methods inherited from class edu.uci.ics.jung.visualization.transform.AbstractLensSupport
`activate, getGraphMouse, getLensTransformer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.uci.ics.jung.visualization.transform.LensSupport
`activate, getGraphMouse, getLensTransformer`

Field Detail

### pluggableRenderer

    protected PluggableRenderer pluggableRenderer

### transformingPluggableRenderer

    protected TransformingPluggableRenderer transformingPluggableRenderer

### renderer

    protected Renderer renderer

Constructor Detail

### ViewLensSupport

    public ViewLensSupport(VisualizationViewer vv)

### ViewLensSupport

    public ViewLensSupport(VisualizationViewer vv,
                           LensTransformer lensTransformer,
                           ModalGraphMouse lensGraphMouse)

Method Detail

### activate

    public void activate()

  Specified by:
    `activate` in interface `LensSupport`

### deactivate

    public void deactivate()

  Specified by:
    `deactivate` in interface `LensSupport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD